#ifndef _SPI_RTC_
#define _SPI_RTC_

#include <spi.h>

// spi_read_reg - reads the specified register and returns its value
unsigned char spi_read_reg (unsigned char reg); 

// spi_write_reg - writes a the data to the specified register
void spi_write_reg (unsigned char reg, unsigned char data);

// initializes the SPI RTC communication
void spi_init(void);

#endif